/*
Example 2: generated data used to demonstrate 'problems' with the 
simple linear model. All can be fixed with transformations.

X:				predictor
Y1, Y2, Y3:		response variables
*/

data example2;
input X Y1 Y2 Y3;
	lnY1 = log(Y1);			*<--some transformations;
	lnY2 = log(Y2);
	lnY3 = log(Y3);
	srY1 = sqrt(Y1);
	srY2 = sqrt(Y2);
	srY3 = sqrt(Y3);
	lnX  = log(X);
	srX  = sqrt(X);
datalines;
1	2.3		2.4		1.9
2	4.2		3.6		2.5
3	7.6		4.5		3.2
4	14.7	5.8		4.5
5	16.7	5.7		4.2
6	20.3	5.7		4.2
7	23.0	5.5		3.9
8	42.3	7.4		6.7
9	34.9	5.7		4.1
10	65.6	7.5		8.7
1	0.8		1.4		1.4
2	1.1		2.0		1.6
3	4.4		3.5		2.3
4	13.4	5.6		4.1
5	9.1		4.7		2.6
6	26.4	6.7		5.6
7	23.7	5.6		4.0
8	29.8	5.8		4.2
9	38.1	6.2		4.6
10	50.9	6.9		5.6
;
run;
title 'Regression Workshop (APS 2009). Example 2 (second response)'
run;

